> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns forecast data for a producer contract.

> Returns forecasted energy production data for the producer's plant over the specified time period. This endpoint provides predicted electricity generation values in Watt-hours (Wh) at 15-minute intervals, helping producers anticipate their expected energy production.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/{userID}/contracts/{contractID}/forecast/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/forecast/:
    get:
      tags:
        - producers
      summary: Returns forecast data for a producer contract.
      description: >-
        Returns forecasted energy production data for the producer's plant over
        the specified time period. This endpoint provides predicted electricity
        generation values in Watt-hours (Wh) at 15-minute intervals, helping
        producers anticipate their expected energy production.
      operationId: producers_contracts_forecast_list
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: query
          name: end
          schema:
            type: string
            format: date-time
          description: >-
            End date time of the requested time period in UTC (excluded). Needs
            to satisfy end <= start.
          required: true
        - in: query
          name: start
          schema:
            type: string
            format: date-time
          description: 'Start date time of the requested time period in UTC (included). '
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ForecastResponse'
              examples:
                ForecastSuccessfulResponse:
                  value:
                    - start_time: '2024-06-26T00:00:00Z'
                      end_time: '2024-06-26T00:15:00Z'
                      forecast_value: 500
                  summary: Forecast successful response
          description: ''
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    example:
                      email:
                        - Enter a valid email address.
                      non_field_errors:
                        - Invalid combination of fields.
                  - $ref: '#/components/schemas/DetailResponse'
              examples:
                MissingStartTimestamp:
                  value:
                    start:
                      - This field is required.
                  summary: Missing start timestamp
          description: Invalid query parameters or a contract business-rule violation.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
          description: Producer contract not found.
components:
  schemas:
    ForecastResponse:
      type: object
      description: Serializer for producer forecast data responses.
      properties:
        start_time:
          type: string
          format: date-time
        end_time:
          type: string
          format: date-time
        forecast_value:
          type: integer
          nullable: true
      required:
        - end_time
        - forecast_value
        - start_time
    DetailResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.